# __gnu_pbds::container_traits_base< list_update_tag > Struct Template Reference

List of all members.

## Detailed Description

### template<>
struct __gnu_pbds::container_traits_base< list_update_tag >

Definition at line 250 of file tag_and_trait.hpp.

## Public Types

- enum { order_preserving, erase_can_throw, split_join_can_throw, reverse_iteration }
- typedef list_update_tag container_category
- typedef point_invalidation_guarantee invalidation_guarantee

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp